CREATE TABLE tA (
    id         int,
    j1         int,
    j2         int,
    p1         real,
    p2         real,
    p3	       real,
    p4	       real,
    b1         boolean,
    b2         boolean,
    b3         boolean,
    b4         boolean
);

CREATE TABLE tB (
    id         int,
    j1         int,
    j2         int,
    p1         real,
    p2         real,
    p3	       real,
    p4	       real,
    b1         boolean,
    b2         boolean,
    b3         boolean,
    b4         boolean
);

CREATE TABLE tC (
    id         int,
    j1         int,
    j2         int,
    p1         real,
    p2         real,
    p3	       real,
    p4	       real,
    b1         boolean,
    b2         boolean,
    b3         boolean,
    b4         boolean
);

CREATE TABLE plans (
    planid int,
    nodeid int,
    nodetype varchar(30),
    info varchar(200),
    leftchild int,
    rightchild int,
    preds varchar(100)
);


CREATE TABLE costs (
    nodeid int,
    nodetype varchar(30),
    info varchar(200),
    leftchild int,
    rightchild int,
    startup_cost float,
    total_cost float,
    rows int
);

CREATE FUNCTION f1(real) RETURNS real AS 'pred', 'pred_float4_f1' LANGUAGE C STRICT IMMUTABLE;

CREATE FUNCTION f2(real) RETURNS real AS 'pred', 'pred_float4_f2' LANGUAGE C STRICT IMMUTABLE;

CREATE FUNCTION f3(real) RETURNS real AS 'pred', 'pred_float4_f3' LANGUAGE C STRICT IMMUTABLE;

CREATE FUNCTION f4(real) RETURNS real AS 'pred', 'pred_float4_f4' LANGUAGE C STRICT IMMUTABLE;
